<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_98080012c02491a0c0cf9af5" . "c977f3c7" => base64_decode("U2NoZW1hIGZpbGU6IA" . "=="), "_e608e5b5c4c34a" . "67ba97ef84c1e16" . "199" => base64_decode("Jw=" . "="), "_c1bf7b7ebd1a" . "b8431a8561d76" . "2db1895" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc3RhbGxlZC4gQ2Fubm90IHVwZGF0" . "ZQ=="), "_edc5e56d0d749" . "37af4aa39a12b4" . "e62f4" => base64_decode("MDAuMD" . "A="), "_4e804c3c659ffa" . "927094580817423" . "76b" => base64_decode("Q3JlYXRpbmcgc2NoZW" . "1h"), "_09fd03941a048e1f28e82318" . "9007cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjcmVhdGVkLiBDdXJyZW50IHZlcnNpb24gaXM" . "gJw=="), "_98587fc188f350370f03d54707c587" . "e1" => base64_decode("aXNfcmV" . "hZGFibG" . "U="), "_3c4298a" . "d118f035" . "49387eda" . "8af85975" . "0" => base64_decode("QXBwbGljYXRpb24gYWxyZWFkeSB" . "pbnN0YWxsZWQ="), "_afa8b786a0282957bc5e6c82eb5e" . "eaba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzdCBvciBub3QgcmVhZGFibGUsIHNraXB" . "waW5nIHNjaGVtYSBjcmVhdGlvbg=="), "_bc2b2cbee209b1cad08734" . "79a8fd921a" => base64_decode("L3NjaGVtYS9zY2hl" . "bWEucGhw"), "_0a441bddac7bebad7a9858a0dfadcd9" . "0" => base64_decode("MDE" . "uMD" . "E="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_3c4298ad118f03549387eda8af8597" . "50"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_c1bf7b7ebd1ab8431a8561d762db1" . "895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_bc2b2cbee209b1cad0873479a8fd92" . "1a"];
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_98587fc188f350370f03d5470" . "7c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_98080012c02491a0c0cf" . "9af5c977f3c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4e804c3c659ffa9270945808174237" . "6b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0a441bddac7bebad" . "7a9858a0dfadcd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_09fd03941a048e1f" . "28e823189007cddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_e608e5b5c4c34a67ba9" . "7ef84c1e16199"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_afa8b786a0282957bc5e6c82" . "eb5eeaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_edc5e56d0d74937" . "af4aa39a12b4e62f" . "4"]);
        }
    }
}